Bug 1043306 - [abrt] libreoffice-core-4.1.3.2-10.fc20: writerfilter::dmapper::DomainMapper::lcl_sprm(writerfilter::Sprm&): Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
Summary: [abrt] libreoffice-core-4.1.3.2-10.fc20: writerfilter::dmapper::DomainMapper:...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8b002fd516c70efa21804409036...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-15 20:50 UTC by Albert Zubkowicz
Modified: 2014-11-09 12:37 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-07 11:48:39 UTC
Type: ---
albertzubkowicz: fedora_requires_release_note-
albertzubkowicz: needinfo-
albertzubkowicz: needinfo-
albertzubkowicz: needinfo-


Attachments (Terms of Use)
File: backtrace (48.20 KB, text/plain)
2013-12-15 20:50 UTC, Albert Zubkowicz
no flags Details
File: cgroup (172 bytes, text/plain)
2013-12-15 20:50 UTC, Albert Zubkowicz
no flags Details
File: core_backtrace (33.77 KB, text/plain)
2013-12-15 20:50 UTC, Albert Zubkowicz
no flags Details
File: dso_list (27.95 KB, text/plain)
2013-12-15 20:50 UTC, Albert Zubkowicz
no flags Details
File: environ (1.71 KB, text/plain)
2013-12-15 20:50 UTC, Albert Zubkowicz
no flags Details
File: exploitable (82 bytes, text/plain)
2013-12-15 20:50 UTC, Albert Zubkowicz
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-15 20:50 UTC, Albert Zubkowicz
no flags Details
File: maps (127.55 KB, text/plain)
2013-12-15 20:50 UTC, Albert Zubkowicz
no flags Details
File: open_fds (2.15 KB, text/plain)
2013-12-15 20:51 UTC, Albert Zubkowicz
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2013-12-15 20:51 UTC, Albert Zubkowicz
no flags Details
File: var_log_messages (718 bytes, text/plain)
2013-12-15 20:51 UTC, Albert Zubkowicz
no flags Details

Description Albert Zubkowicz 2013-12-15 20:50:32 UTC
Version-Release number of selected component:
libreoffice-core-4.1.3.2-10.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///home/albert/Documents/Cosinus/Wz%C3%B3r%20strony%20I%20pracy%20kontrolnej.doc --splash-pipe=5
crash_function: writerfilter::dmapper::DomainMapper::lcl_sprm(writerfilter::Sprm&)
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.11.10-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 writerfilter::dmapper::DomainMapper::lcl_sprm(writerfilter::Sprm&) at /usr/lib64/libreoffice/program/../program/libwriterfilterlo.so
 #1 writerfilter::rtftok::RTFReferenceProperties::resolve(writerfilter::Properties&) at /usr/lib64/libreoffice/program/../program/libwriterfilterlo.so
 #2 writerfilter::dmapper::DomainMapper::lcl_props(boost::shared_ptr<writerfilter::Reference<writerfilter::Properties> >) at /usr/lib64/libreoffice/program/../program/libwriterfilterlo.so
 #3 writerfilter::LoggedStream::props(boost::shared_ptr<writerfilter::Reference<writerfilter::Properties> >) at /usr/lib64/libreoffice/program/../program/libwriterfilterlo.so
 #4 writerfilter::rtftok::RTFDocumentImpl::checkNeedPap() at /usr/lib64/libreoffice/program/../program/libwriterfilterlo.so
 #5 writerfilter::rtftok::RTFDocumentImpl::dispatchSymbol(writerfilter::rtftok::RTFKeyword) at /usr/lib64/libreoffice/program/../program/libwriterfilterlo.so
 #6 writerfilter::rtftok::RTFTokenizer::dispatchKeyword(rtl::OString&, bool, int) at /usr/lib64/libreoffice/program/../program/libwriterfilterlo.so
 #7 writerfilter::rtftok::RTFTokenizer::resolveKeyword() at /usr/lib64/libreoffice/program/../program/libwriterfilterlo.so
 #8 writerfilter::rtftok::RTFTokenizer::resolveParse() at /usr/lib64/libreoffice/program/../program/libwriterfilterlo.so
 #9 writerfilter::rtftok::RTFDocumentImpl::resolve(writerfilter::Stream&) at /usr/lib64/libreoffice/program/../program/libwriterfilterlo.so

Comment 1 Albert Zubkowicz 2013-12-15 20:50:38 UTC
Created attachment 837026 [details]
File: backtrace

Comment 2 Albert Zubkowicz 2013-12-15 20:50:40 UTC
Created attachment 837027 [details]
File: cgroup

Comment 3 Albert Zubkowicz 2013-12-15 20:50:42 UTC
Created attachment 837028 [details]
File: core_backtrace

Comment 4 Albert Zubkowicz 2013-12-15 20:50:44 UTC
Created attachment 837029 [details]
File: dso_list

Comment 5 Albert Zubkowicz 2013-12-15 20:50:52 UTC
Created attachment 837030 [details]
File: environ

Comment 6 Albert Zubkowicz 2013-12-15 20:50:54 UTC
Created attachment 837031 [details]
File: exploitable

Comment 7 Albert Zubkowicz 2013-12-15 20:50:56 UTC
Created attachment 837032 [details]
File: limits

Comment 8 Albert Zubkowicz 2013-12-15 20:50:58 UTC
Created attachment 837033 [details]
File: maps

Comment 9 Albert Zubkowicz 2013-12-15 20:51:00 UTC
Created attachment 837034 [details]
File: open_fds

Comment 10 Albert Zubkowicz 2013-12-15 20:51:02 UTC
Created attachment 837035 [details]
File: proc_pid_status

Comment 11 Albert Zubkowicz 2013-12-15 20:51:04 UTC
Created attachment 837036 [details]
File: var_log_messages

Comment 12 David Tardon 2014-01-09 12:10:57 UTC
Could you attach the RTF file here?

Comment 13 Michael Stahl 2014-03-07 11:48:39 UTC
from the retrace stack it looks like the DomainMapper::m_aTableManagers
is either empty or contains a null pointer - both of which appear impossible.

can't fix this without a reproducer document.

Comment 14 Albert Zubkowicz 2014-06-18 19:02:54 UTC
unfortunately I'm not possible to provide any additional information, I created the bug with abrpt and checked all options to ensure you know everything. sorry.


Note You need to log in before you can comment on or make changes to this bug.